var expect = require('chai').expect;
var db = require('../../db');

describe('db tests', function() {
  it('should pass this canary test', function() {
  }); 
  
  it('get should return connection, null by default', function() {
    expect(db.get()).to.be.null;
  });                            
  
  it('should connect to a valid database', function(done) {
    var callback = function(err) {
      expect(err).to.be.null;      
      expect(db.get().databaseName).to.be.eql('testdb');
      done();
    }
    db.connect('mongodb://localhost/testdb', callback);
  });
  
  it('should close the connection and set to null', function() {
    var called = false;
    db.connection = { close: function() { called = true; }};
        
    db.close();
    expect(called).to.be.true;
    expect(db.get()).to.be.null;
  });
  
//Write more tests as necessary.
});
